//
//  MPPositive_MusicModel.swift
//  MusicPlayer
//
//  Created by Mr.Zhou on 2024/4/24.
//

import UIKit
///b面预览个体模型
class MPPositive_BrowseItemModel: NSObject {
    ///封面
    var coverUrl:String!
    ///一级标题
    var maintitle:String!
    ///二级标题
    var subtitle:String!
    ///三级标题（通常是专辑名/歌单/播放次数）
    var thirdtitle:String!
    ///item音乐内容（无值则不能直接播放音乐）
    var musicVideo:BrowseItemMusicVideo!
    ///item预览内容
    var browseContent:BrowseItemContent!
    ///是单曲/视频OR列表/歌单
    var itemType:BrowseItemType!
}
struct BrowseItemMusicVideo {
    ///音乐ID
    var videoId:String?
    ///列表ID
    var playListId:String?
    ///音乐类型
    var musicVideoType:String?
}
struct BrowseItemContent{
    ///预览ID
    var browseId:String?
    ///预览参数
    var params:String?
    ///预览类型
    var pageType:String?
}
///预览个体类型
enum BrowseItemType: Int{
    ///单曲/视频
    case single = 0
    ///列表/列表
    case list = 1
    ///艺术家
    case artist = 2
    ///文本
    var text:String{
        switch self {
        case .single:
            return "single/video"
        case .list:
            return "list/ablum"
        case .artist:
            return "artist"
        }
    }
}
